Unit Tde79e2_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, Filis79_p, DE79E_p;

function Tde79e2: String;

implementation

function Tde79e2: String;
var
M,K0,IMAX,INIAPR,NCHEB,_i :Integer;
XN,H,XK,H0 :Extended;
YN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
RAB :Array [0..838] of Extended;
DYN :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
YT :Array [0..1] of Extended;
DYT :Array [0..1] of Extended;
DELY :Array [0..1] of Extended;
RELERR :Array [0..1] of Extended;
DELDY :Array [0..1] of Extended;
RELDY :Array [0..1] of Extended;
const
K :Integer = 15;
label
_42;
begin
Result := '';  {   }
{      PROGRAM S }
M := 2;
XN := 0.0;
YN[0] := 1.e0;
YN[1] := 0.5e0;
DYN[0] := 0.e0;
DYN[1] := 0.e0;
H0 := 0.5e0;
XK := 3.e0*Sqrt(2.e0);
YT[0] := Exp(XK*XK);
YT[1] := 0.5e0*Exp(-XK*XK);
DYT[0] := XK/YT[1];
DYT[1] := -XK/YT[0];
K0 := K;
IMAX := 28;
for INIAPR:=1 to 2 do
 begin
  H := H0;
  NCHEB := 0;
  _i := INIAPR;
  DE79E(Filis79,M,XN,YN,DYN,XK,K0,_i,IMAX,H,Y,DY,RAB);
  DELY[0] := YT[0]-Y[0];
  DELY[1] := YT[1]-Y[1];
  RELERR[0] := DELY[0]/YT[0];
  RELERR[1] := DELY[1]/YT[1];
  DELDY[0] := DYT[0]-DY[0];
  DELDY[1] := DYT[1]-DY[1];
  RELDY[0] := DELDY[0]/DYT[0];
  RELDY[1] := DELDY[1]/DYT[1];
  Result := Result + Format('%s',
 ['------------------------------------------------------------------------' + #$0D#$0A]);
  Result := Result + Format(' H0=%20.16f    K=%2d    INIAPR=%1d    IMAX=%3d ',
 [H0,K0,INIAPR,IMAX]) + #$0D#$0A;
  Result := Result + Format('%s',[' Y= ']);
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%30.18e ',[Y[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + Format('%s',[#$0D#$0A + ' YT=']);
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%30.18e ',[YT[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + Format('%s',[#$0D#$0A + ' DELTA Y  =']);
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%30.18e ',[DELY[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + Format('%s',[#$0D#$0A + ' RELERR   =']);
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%30.18e ',[RELERR[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + Format('%s',[#$0D#$0A + ' DY= ']);
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%30.18e ',[DY[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + Format('%s',[#$0D#$0A + ' DYT=']);
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%30.18e ',[DYT[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + Format('%s',[#$0D#$0A + ' DELTA DY =']);
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%30.18e ',[DELDY[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + Format('%s',[#$0D#$0A + ' RELDY    =']);
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%30.18e ',[RELDY[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + #$0D#$0A;
_42:
 end;
exit;
UtRes('Tde79e2',Result);  {     Tde79e2.res }
exit;
end;

end.
